
Foreman - Bug #24071

Locked state isn't available in GET ptable v2 API

06/26/2018 08:20 AM - Bernhard Suttner

Status: Closed   

Priority: Normal   

Assignee: Bernhard Suttner   

Category: API   

Target version: 1.19.0   

Difficulty:  Fixed in Releases: 1.19.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5741

  

Description

The locked state isn't available in the ptable api/v2 GET method.

This is the reason, why nailgun could not set/get the locked state of a partition table. (PR follows).

Associated revisions

Revision c6a311f6 - 06/26/2018 09:49 AM - Bernhard Suttner

Fixes #24071 - Adding locked state (#5741)

History

#1 - 06/26/2018 08:24 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5741 added

#2 - 06/26/2018 09:52 AM - Daniel Lobato Garcia

- translation missing: en.field_release set to 353

#3 - 06/26/2018 10:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset c6a311f67cdc2ae4162dda7d585ef3456bb90778.

#4 - 07/19/2018 11:15 AM - Ewoud Kohl van Wijngaarden

- Category set to API

- Assignee set to Bernhard Suttner
